package RCP is

   --  the amount required by every single request
   --+ can never exceed a predefined maximum quantity
   Max_Requests : constant Positive := 10;
   type Request_T is range 0 .. Max_Requests;

   type Item_T is (Long, Medium, Short);
   type Resource_T is record
      Item    : Item_T;
      Granted : Request_T := Request_T'First;
   end record;

end RCP;
